﻿using Infragistics.Win.UltraWinTabControl;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraTabControlSelectedHotTrack
{
    public partial class Form1 : Form
    {
        Color[] colors = { Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Purple };
        public Form1()
        {
            InitializeComponent();
            
            for(int i=0; i<3; i++)
            {
                UltraTab tab = new UltraTab() { Text = "New Tab " + i.ToString() };
                tab.HotTrackAppearance.ForeColor = colors[i];                
                ultraTabControl1.Tabs.Add(tab);
            }
            
            ultraTabControl1.UseHotTracking = Infragistics.Win.DefaultableBoolean.True;

            ultraTabControl1.SelectedTabChanged += UltraTabControl1_SelectedTabChanged;
        }

        private void UltraTabControl1_SelectedTabChanged(object sender, SelectedTabChangedEventArgs e)
        {
            UltraTab newTab = e.Tab;
            UltraTab oldTab = e.PreviousSelectedTab;

            if(newTab != null)
            {
                newTab.HotTrackAppearance.ForeColor = colors[ultraTabControl1.Tabs.IndexOf(newTab) + 3];
            }

            if(oldTab != null)
            {
                oldTab.HotTrackAppearance.ForeColor = colors[ultraTabControl1.Tabs.IndexOf(oldTab)];
            }
            
        }
    }
}
